import ProtoBuf from 'protobufjs';
import WhisperTextProtocol from 'raw-loader!../protos/WhisperTextProtocol.proto';

function loadProtoBufs(proto) {
  return ProtoBuf.loadProto(proto).build('textsecure');
}

var protocolMessages = loadProtoBufs(WhisperTextProtocol);

export default {
  WhisperMessage: protocolMessages.WhisperMessage,
  PreKeyWhisperMessage: protocolMessages.PreKeyWhisperMessage,
};
