import curve25519 from './curve25519_wrapper.js';

onmessage = function (e) {
  console.debug(e.data);
  curve25519[e.data.methodName]
    .apply(curve25519, e.data.args)
    .then(function (result) {
      postMessage({ id: e.data.id, result: result });
    })
    .catch(function (error) {
      postMessage({ id: e.data.id, error: error.message });
    });
};
