const path = require('path');
const HtmlWebpackPlugin = require('html-webpack-plugin');

module.exports = {
  entry: './index.js',
  context: path.resolve(__dirname),
  output: {
    path: path.resolve(__dirname, 'dist'),
    filename: '[name].js',
  },
  devtool: 'source-map',
  optimization: {
    runtimeChunk: true,
  },
  plugins: [new HtmlWebpackPlugin()],
  devServer: {},
};
